Package com.avaya.clientservices.call.conference

## Interface DroppedParticipant

- All Superinterfaces:
    `Participant`

      public interface DroppedParticipant
      extends Participant

  Interface representing conference participant dropped from the conference.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addListener​(DroppedParticipantListener listener)` | Adds a new `DroppedParticipantListener` to the participant.
    `java.util.Date` | `getEntryTime()` | Returns the participant's entry time to the conference.
    `java.util.Date` | `getExitTime()` | Returns the participant's exit time from the conference.
    `void` | `reinvite​(CallCompletionHandler handler)` | Reinvite a participant who has already left the conference call back to the call.
    `void` | `removeListener​(DroppedParticipantListener listener)` | Removes a `DroppedParticipantListener` from the participant.

    - ### Methods inherited from interface com.avaya.clientservices.call.conference.Participant

      `addListener, getAddress, getAllPossibleContactMatches, getBestContactMatch, getDisplayName, getParticipantId, isLocalUser, removeListener, sendPrivateChatMessage`

- - ### Method Detail

    - #### addListener

          void addListener​(DroppedParticipantListener listener)

      Adds a new `DroppedParticipantListener` to the participant.
      Parameters:
        `listener` - Listener instance that should be added to the participant.
      See Also:
        `removeListener(DroppedParticipantListener listener)`

    - #### removeListener

          void removeListener​(DroppedParticipantListener listener)

      Removes a `DroppedParticipantListener` from the participant.
      Parameters:
        `listener` - Listener instance that is removed from the participant.
      See Also:
        `addListener(DroppedParticipantListener listener)`

    - #### reinvite

          void reinvite​(CallCompletionHandler handler)

      Reinvite a participant who has already left the conference call back to the call.
      Parameters:
        `handler` - `CallCompletionHandler` associated with this operation.

    - #### getEntryTime

          java.util.Date getEntryTime()

      Returns the participant's entry time to the conference.
      Returns:
        The date and time value when the participant entered the conference.

    - #### getExitTime

          java.util.Date getExitTime()

      Returns the participant's exit time from the conference.
      Returns:
        The date and time value when the participant left the conference.